Problem with kernel compilation....

Serguei Ostrovskii sostrovs at kns.com
Wed Sep 13 06:04:44 PDT 2000


"Dubinin, Alexander" wrote:

> Hello, All!
>
> After installation of LFS 2.4 I have problems with compiling kernel.
> Not always, but sometime... It depend of kernel configuration - but I
> don't discover dependency yet.
>
> Problem is - "make dep" say me, that "new version of genksyms"  needed:
>
> - Cut -
> bash-2.04# make dep
> make[1]: Entering directory `/usr/src/linux-2.2.16/arch/i386/boot'
> make[1]: Nothing to be done for `dep'.
> make[1]: Leaving directory `/usr/src/linux-2.2.16/arch/i386/boot'
>
> You need a new version of the genksyms program, which is part of
> the modutils package. Please read the file Documentation/Changes
> for more information.
>
> make: *** [new-genksyms] Error 1
> bash-2.04#
>
> - Cut -
>
> I using modutils-2.3.15, tried other versions - same problem.
>
> Any ideas?
>
> Bye!
>    Alexander Dubinin.

That's really weird. I have same configuration for months, and haven't had
anything like this.
Really stupid questions :
1. what genksyms --version says ?
2. did you make mrproper before kernel's rebuild ?

Sergey Ostrovsky.







More information about the lfs-dev mailing list